<?
#################
## INPUT VARIABLES
#################

#FILE = (text) full web URL to the logo file
$file=$_REQUEST['file'];
#KEY = (text) your API key
$key="your_api_key";
# TOKEN = (text) your API token
$token="your_token";
#color_array= (string) embroidery colors string, example input "254,254,254:::11,13,18:::203,215,82"
$color_array=$_REQUEST['embroidery_colors'];
#bgcolor = (string) RGB of background color, example 254,254,254
$bgcolor=$_REQUEST['bg'];
#size = (number) embroidery size in inches, e.g. 3.25
$size=3.25; 
#small = (OPTIONAL PARAMETER) if the logo has small details, or not. ACCEPTABLE inputs = 'yes' or ''. IF '' the software uses some algoritms to detect small details.
$small=''; //'yes' or ''

				


// Method: POST, PUT, GET etc
// Data: array("param" => "value") ==> index.php?param=value

function CallAPI($method, $url, $data = false)
{
  $header[0] = "Accept: text/xml,application/xml,application/xhtml+xml, text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5"; 
	$header[] = "Cache-Control: max-age=0"; 
	$header[] = "Connection: keep-alive"; 
	$header[] = "Keep-Alive: 300"; 
	$header[] = "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7"; 
	$header[] = "Accept-Language: en-us,en;q=0.5"; 
	
  $curl = curl_init();

    switch ($method)
    {
        case "POST":
            curl_setopt($curl, CURLOPT_POST, 1);

            if ($data)
                curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            break;
        case "PUT":
            curl_setopt($curl, CURLOPT_PUT, 1);
            break;
        default:
            if ($data)
                $url = sprintf("%s?%s", $url, http_build_query($data));
    }

    // Optional Authentication:
    //curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    //curl_setopt($curl, CURLOPT_USERPWD, "username:password");

    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_USERAGENT, 'Mozilla/5.0 (X11; U; Linux x86_64; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Ubuntu/10.04 Chromium/6.0.472.53 Chrome/6.0.472.53 Safari/534.3'); 
    curl_setopt($curl, CURLOPT_HTTPHEADER, $header); 
    curl_setopt($curl, CURLOPT_ENCODING, 'gzip,deflate'); 
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

    $result = curl_exec($curl);

    curl_close($curl);

    return $result;
}

#url = (text) url to the API
$url="https://www.stitchcounter.com/JSNapi/get_stitchcount.php";
#data = (array) Array of variables passed to the url
$data=array("file"=>$file, "key" => $key, "token" => $token, "size"=> $size, "color_array"=>$color_array, "bg" => $bgcolor, "small"=>$small); 
##CALL TO API
$res=CallAPI("POST", $url, $data);

//RESULT is JSON encoded Object
//print the result as ARRAY
print_r(json_decode($res));